AbstractPaintingState.AbstractData (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.util

## Class AbstractPaintingState.AbstractData

- java.lang.Object
- - org.apache.fop.util.AbstractPaintingState.AbstractData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    AbstractPaintingState

      public abstract class AbstractPaintingState.AbstractData
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  A base painting state data holding object
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `backColor` The current background color
    `protected java.awt.Color` | `color` The current color
    `protected float[]` | `dashArray` The dash array for the current basic stroke (line type)
    `protected java.lang.String` | `fontName` The current font name
    `protected int` | `fontSize` The current font size
    `protected java.lang.String` | `layer` The current (optional content group) layer.
    `protected float` | `lineWidth` The current line width
    `protected java.awt.geom.AffineTransform` | `transform` The current transform

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractData()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearTransform()` Resets the current AffineTransform.
    `java.lang.Object` | `clone()`
    `void` | `concatenate(java.awt.geom.AffineTransform at)` Concatenate the given AffineTransform with the current thus creating a new viewport.
    `int` | `getDerivedRotation()` Returns the derived rotation from the current transform
    `java.lang.String` | `getLayer()`
    `java.awt.geom.AffineTransform` | `getTransform()` Get the current AffineTransform.
    `protected abstract AbstractPaintingState.AbstractData` | `instantiate()` Returns a newly create data object
    `void` | `setLayer(java.lang.String layer)`
    `void` | `setTransform(java.awt.geom.AffineTransform baseTransform)` Sets the current AffineTransform.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### color

          protected java.awt.Color color

      The current color

    - #### backColor

          protected java.awt.Color backColor

      The current background color

    - #### fontName

          protected java.lang.String fontName

      The current font name

    - #### fontSize

          protected int fontSize

      The current font size

    - #### lineWidth

          protected float lineWidth

      The current line width

    - #### dashArray

          protected float[] dashArray

      The dash array for the current basic stroke (line type)

    - #### transform

          protected java.awt.geom.AffineTransform transform

      The current transform

    - #### layer

          protected java.lang.String layer

      The current (optional content group) layer.

  - ### Constructor Detail

    - #### AbstractData

          public AbstractData()

  - ### Method Detail

    - #### instantiate

          protected abstract AbstractPaintingState.AbstractData instantiate()

      Returns a newly create data object
      Returns:
        a new data object

    - #### concatenate

          public void concatenate(java.awt.geom.AffineTransform at)

      Concatenate the given AffineTransform with the current thus creating a new viewport. Note that all concatenation operations are logged so they can be replayed if necessary (ex. for block-containers with "fixed" positioning.
      Parameters:
        `at` - Transformation to perform

    - #### getTransform

          public java.awt.geom.AffineTransform getTransform()

      Get the current AffineTransform.
      Returns:
        the current transform

    - #### setTransform

          public void setTransform(java.awt.geom.AffineTransform baseTransform)

      Sets the current AffineTransform.
      Parameters:
        `baseTransform` - the transform

    - #### clearTransform

          public void clearTransform()

      Resets the current AffineTransform.

    - #### setLayer

          public void setLayer(java.lang.String layer)

    - #### getLayer

          public java.lang.String getLayer()

    - #### getDerivedRotation

          public int getDerivedRotation()

      Returns the derived rotation from the current transform
      Returns:
        the derived rotation from the current transform

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.